KDE 4.2 PyKDE API Reference

- KDE's Python API

# DBusQueryResultIterator Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.QueryResultIterator → Iterator<BindingSet>
Namespace: Soprano::Client

## Detailed Description

\class DBusQueryResultIterator dbusqueryresultiterator.h Soprano/Client/DBusQueryResultIterator

Interface to a DBus server query result iterator.

The DBusQueryResultIterator provides a fully functional interface to a QueryResultIterator provided through a %Soprano D-Bus server. It can thus, be seen as the counterpart to Server.DBusExportIterator.

Given the DBus service name and the object path of the QueryResultIterator in question it handles all DBus communication transparently.

Normally there is no need to use this class directly as DBusModel does create instances of it on request.

Author:
  Sebastian Trueg <trueg@kde.org>

\sa soprano_server_dbus

Since:
  2.1

## Methods

| __init__ (self, QString serviceName, QString dbusObject)

## Method Documentation

__init__ | ( | self, |
|  | QString | serviceName,
|  | QString | dbusObject
| ) |  |  |

Create a new DBus QueryResultIterator interface.

Parameters:

  | serviceName | The name of the DBus service that provides the QueryResultIterator.

Parameters:

  | dbusObject | The path to the QueryResultIterator object in the DBus service.